org.apache.cassandra.cql3

## Interface QueryHandler

All Known Implementing Classes:
  QueryProcessor

    public interface QueryHandler

### Method Summary

Methods
`ParsedStatement.Prepared` `getPrepared(MD5Digest id)`
`CQLStatement` `getPreparedForThrift(java.lang.Integer id)`
`ResultMessage.Prepared` `prepare(java.lang.String query, QueryState state)`
`ResultMessage` `process(java.lang.String query, QueryState state, QueryOptions options)`
`ResultMessage` `processBatch(BatchStatement statement, QueryState state, BatchQueryOptions options)`
`ResultMessage` `processPrepared(CQLStatement statement, QueryState state, QueryOptions options)`

### Method Detail

#### process

    ResultMessage process(java.lang.String query,
                        QueryState state,
                        QueryOptions options)
                          throws RequestExecutionException,
                                 RequestValidationException

Throws:
  `RequestExecutionException`
  `RequestValidationException`

#### prepare

    ResultMessage.Prepared prepare(java.lang.String query,
                                 QueryState state)
                                   throws RequestValidationException

Throws:
  `RequestValidationException`

#### getPrepared

    ParsedStatement.Prepared getPrepared(MD5Digest id)

#### getPreparedForThrift

    CQLStatement getPreparedForThrift(java.lang.Integer id)

#### processPrepared

    ResultMessage processPrepared(CQLStatement statement,
                                QueryState state,
                                QueryOptions options)
                                  throws RequestExecutionException,
                                         RequestValidationException

Throws:
  `RequestExecutionException`
  `RequestValidationException`

#### processBatch

    ResultMessage processBatch(BatchStatement statement,
                             QueryState state,
                             BatchQueryOptions options)
                               throws RequestExecutionException,
                                      RequestValidationException

Throws:
  `RequestExecutionException`
  `RequestValidationException`